# PhasicFlow: pointRectCell Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

pointRectCell Class Reference
Collaboration diagram for pointRectCell:
[legend]

## Public Types

using | mapType = cellMapper

## Public Member Functions

| pointRectCell (const dictionary &dictMesh, const pointStructure &pStruct, repository &rep)
auto & | mesh ()
const auto & | mesh () const
auto & | processedRepository ()
void | mapPOints ()
auto | getCellIterator () const
int32 | nPointInCell (int32 i, int32 j, int32 k) const

## Protected Attributes

repository & | processedRepository_
rectangleMesh | mesh_
const pointStructure & | pStruct_
hostViewType1D< realx3 > | pointPosition_
mapType | map_
int32RectMeshField_H | nPointInCell_

## Detailed Description

Definition at line 32 of file pointRectCell.hpp.

## Member Typedef Documentation

## mapType

using mapType = cellMapper

Definition at line 36 of file pointRectCell.hpp.

## Constructor & Destructor Documentation

## pointRectCell()

pointRectCell | ( | const dictionary & | dictMesh,
|  | const pointStructure & | pStruct,
|  | repository & | rep
| ) |  |

inline

Definition at line 56 of file pointRectCell.hpp.

References pointRectCell::mapPOints().

Here is the call graph for this function:

## Member Function Documentation

## mesh() [1/2]

auto& mesh | ( |  | ) |

inline

Definition at line 81 of file pointRectCell.hpp.

References pointRectCell::mesh_.

Referenced by processField::mesh(), pFlow::sumMaksOp(), and pFlow::sumOp().

Here is the caller graph for this function:

## mesh() [2/2]

const auto& mesh | ( |  | ) | const

inline

Definition at line 86 of file pointRectCell.hpp.

References pointRectCell::mesh_.

## processedRepository()

auto& processedRepository | ( |  | ) |

inline

Definition at line 91 of file pointRectCell.hpp.

References pointRectCell::processedRepository_.

Referenced by processField::processedRepository().

Here is the caller graph for this function:

## mapPOints()

void mapPOints | ( |  | ) |

inline

Definition at line 96 of file pointRectCell.hpp.

References internalPoints::activePointsMaskHost(), cellMapper::build(), cellMapper::getCellIterator(), pointRectCell::map_, pointRectCell::mesh_, n, cellMapper::NoPos, pointRectCell::nPointInCell_, rectangleMesh::nx(), rectangleMesh::ny(), rectangleMesh::nz(), internalPoints::pointPositionHost(), and pointRectCell::pStruct_.

Referenced by pointRectCell::pointRectCell().

Here is the call graph for this function:
Here is the caller graph for this function:

## getCellIterator()

auto getCellIterator | ( |  | ) | const

inline

Definition at line 127 of file pointRectCell.hpp.

References cellMapper::getCellIterator(), and pointRectCell::map_.

Referenced by pFlow::sumMaksOp(), and pFlow::sumOp().

Here is the call graph for this function:
Here is the caller graph for this function:

## nPointInCell()

int32 nPointInCell | ( | int32 | i,
|  | int32 | j,
|  | int32 | k
| ) |  | const

inline

Definition at line 132 of file pointRectCell.hpp.

References pointRectCell::nPointInCell_.

## Member Data Documentation

## processedRepository_

repository& processedRepository_

protected

Definition at line 42 of file pointRectCell.hpp.

Referenced by pointRectCell::processedRepository().

## mesh_

rectangleMesh mesh_

protected

Definition at line 44 of file pointRectCell.hpp.

Referenced by pointRectCell::mapPOints(), and pointRectCell::mesh().

## pStruct_

const pointStructure& pStruct_

protected

Definition at line 46 of file pointRectCell.hpp.

Referenced by pointRectCell::mapPOints().

## pointPosition_

hostViewType1D<realx3> pointPosition_

protected

Definition at line 48 of file pointRectCell.hpp.

## map_

mapType map_

protected

Definition at line 50 of file pointRectCell.hpp.

Referenced by pointRectCell::getCellIterator(), and pointRectCell::mapPOints().

## nPointInCell_

int32RectMeshField_H nPointInCell_

protected

Definition at line 52 of file pointRectCell.hpp.

Referenced by pointRectCell::mapPOints(), and pointRectCell::nPointInCell().

The documentation for this class was generated from the following file:

- utilities/postprocessPhasicFlow/pointRectCell.hpp